Fehler IE9

  • Ich habe mir den Thread zu den Freischaltungs-Richtlinien durchgelesen, um mich über die entsprechenden Anforderungen zu informieren. Beim Testen meiner Erweiterung ist mir aufgefallen, dass bereits das WCF2.1 unter dem IE9 nicht richtig funktioniert. Getestet habe ich das mit dem hauseigenen Entwicklertool des IE11. Im komprimierten Skript WCF.Search.Message.js führt die Anweisung r=s.find("li.dropdownDivider").last(); zu dem Fehler: "Die Eigenschaft 'find' eines undefinierten oder Nullverweises kann nicht abgerufen werden.", wodurch der eigentliche Beitragseditor auch nicht gestartet werden kann. Ab IE10 funktioniert es wieder.

    • Official Post

    WCF 2.1 setzt mindestens Internet Explorer 10 oder höher voraus, die Version 9 wird nicht unterstützt.

    Alexander Ebert
    Senior Developer WoltLab® GmbH

  • Vielen Dank. Das finde ich auch gut. Vielleicht sollte man das nur in dem Beitrag zu den Freischaltungs-Richtlinien ändern.

  • Wobei der vermutlich, wie ich gerade feststelle, immer gilt (ist ja in einem allgemeinen Forum). Wurde allerdings dann wohl zu WBB-3.1-Zeiten erstellt.